#include "gameengine.h"

/* TODO (#5#): Add musics */

#ifdef WIN32
#include <windows.h>
#include <mmsystem.h>
void GameEngine::playSound(Sound snd)
{
	if (status == Status_Died || !sounds)
		return;

	/* TODO (#2#): This interface is too much simple: the sounds cannot
	               mix together. */
	switch (snd) {
	case Sound_Died:
		sndPlaySound("wav/died.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Got_Pill:
		sndPlaySound("wav/pill.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Got_Potion:
		sndPlaySound("wav/potion.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Potion_Timeout:
		sndPlaySound("wav/nopotion.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Saw_Monster:
		sndPlaySound("wav/saw.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Killed_Monster:
		sndPlaySound("wav/monster.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Cannot_Exit:
		sndPlaySound("wav/noexit.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	}
}
#else
void GameEngine::playSound(Sound snd)
{
	/* TODO (#2#): Implement using the SDL library */
}
#endif

